Ticket #29531

文字説明の点字ディスプレイ出力

Open Date: 2012-09-12 23:13 Last Update: 2013-12-05 14:29

Reporter: nishimoto Owner: nishimoto
Type: Feature Requests Status: Closed
Component: 点字ディスプレイ MileStone: 2013.3jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

以下、jpdev120912 についていただいたご報告です。

  • ワード2003で文章を読むときに点字の変わりが遅く感じます。メモ帳やワードパッドではそんなことはありません。
  • スペースキーでひとマス空けるときに「ぜんかく」と言いますが何回かスペースを押しても、最初の1回だけ「ぜんかく」と言います。(点字でも表示されます)
  • メモ帳やワードパッドで入力する時に例えば「うめき」と打ちますと「う め き」とひとますずつ空くようになりました。エンターで決定すると、普通の表示になります。

文字説明機能を試作したので、今後は点字ディスプレイでの仕様を明確にして、不具合を減らしていく必要があります。

2件目は点字ディスプレイではなくテキストサービスの動作の問題かも知れませんが、点字ディスプレイ利用時に確認された現象としてここにまとめておきます。

3件目は「候補説明読み」を文字単位で行なってつなぎ合わせるときの挙動です。例えば「あさイチ」は「あ さ カタカナ イ カタカナ チ」と読ませたいので、区切りは必要と思ったのですが、もう少し検討しなくてはいけないようです。

Attachment File List

No attachments

Ticket History (3/6 Histories)

2012-09-12 23:13 Updated by: nishimoto
  • New Ticket "文字説明の点字ディスプレイ出力" created
2013-05-24 23:54 Updated by: nishimoto
Comment

本チケットに関連して、下記のコメントをいただきました:

  • 文字の読み書きをする場合、改行に当たる点字表示は何かしら必要ではないか。音声でしか改行の確認ができないので、音を出さずに使おうとすると不便。
  • 点字ディスプレイで、スペースや記号類を含めて全角と半角の区別ができない。
  • 点字ディスプレイで、カーソルのある文字の詳細はどうやって点字で確認するのか。テンキー2での文字説明を点字でも確認できる方法が必要。
2013-10-20 10:27 Updated by: nishimoto
  • Milestone Update from (None) to 2013.3jp (closed)
  • Resolution Update from None to Accepted
Comment

2013.2jp における現状と改善案です。

ユーザーガイドの記述:

レビュー内の現在の文字を通知 (テンキー2 または NVDA+ピリオド)

  • テキスト内の現在行のレビューカーソル位置の文字を通知します。2度続けて押すとその文字の説明や例を通知します。3度続けて押すと10進数や16進数による文字コードを通知します。
  • 日本語版では、4回続けて押すと説明モードと読み方モードの切り替え。

現状 (globalCommands.py のreview_currentCharacter):

  • 1回押したとき:文字を「読み方」で出力。音声のみ。
  • 2回押したとき:文字を「説明」で出力。日本語版では音声と点字の両方に出力。
  • 3回押したとき:文字コード10進と16進を出力。音声のみ。
  • 4回押したとき:説明モードと読み方モードの切り替えの通知。音声のみ。

備考:記号読み上げレベルに関わらずすべての記号を出力。

1回、3回、4回押したときに点字ディスプレイ出力がない、という不自然な仕様になっています。

すべての場合において音声と同等の点字ディスプレイ出力を行うのが、改善案と思います。

2013-10-20 21:30 Updated by: nishimoto
  • Resolution Update from Accepted to Fixed
Comment

点字ディスプレイにはすでに「読み方モード」に相当する読みが表示されていることを踏まえて、「レビュー内の現在の文字を通知」の仕様を以下のようにしました。

  • 1回押したとき:音声は、読み方モードでは「読み方」で、説明モードでは「説明」で文字を出力。点字には文字を「説明」で出力。
  • 2回押したとき:文字を「説明」で出力。音声と点字の両方に同じ出力。
  • 3回押したとき:文字コード10進と16進を出力。音声と点字の両方に同じ出力。
  • 4回押したとき:説明モードと読み方モードの切り替えの通知。音声と点字の両方に同じ出力。

実装は以下のコミットです:

[jpbranch 1bf7e60] work around ti29531
 1 file changed, 3 insertions(+), 2 deletions(-)

[jpbranch 53230a7] more work around ti29531
 1 file changed, 3 insertions(+)
2013-10-22 19:40 Updated by: nishimoto
Comment

「レビュー内の現在の文字を通知」を3回押したときの文字コード16進の読み上げを、点字出力に合わせて u+xxxx のように変更しました。

[jpbranch ee06e02] fixed reading of hex code at current character review
 1 file changed, 1 insertion(+), 1 deletion(-)
2013-12-05 14:29 Updated by: nishimoto
  • Owner Update from (None) to nishimoto
  • Ticket Close date is changed to 2013-12-05 14:29
  • Status Update from Open to Closed
  • Component Update from (None) to 点字ディスプレイ

Edit

Please login to add comment to this ticket » Login